package org.w3c.dom.css;

import org.w3c.dom.DOMException;

public interface CSSStyleDeclaration
{
    public abstract String getCssText();
    
    public abstract void setCssText(String p0) throws DOMException;
    
    public abstract String getPropertyValue(String p0);
    
    public abstract CSSValue getPropertyCSSValue(String p0);
    
    public abstract String removeProperty(String p0) throws DOMException;
    
    public abstract String getPropertyPriority(String p0);
    
    public abstract void setProperty(String p0, String p1, String p2) throws DOMException;
    
    public abstract int getLength();
    
    public abstract String item(int p0);
    
    public abstract CSSRule getParentRule();
}
